glab(1)

NAME
glab-duo-cli - Run the GitLab Duo CLI.

SYNOPSIS
glab duo cli [command] [flags]

DESCRIPTION
Run the GitLab Duo CLI.

Use the GitLab Duo CLI to bring the GitLab Duo Agent Platform to your terminal. Ask GitLab Duo questions about your codebase and use it to autonomously perform actions on your behalf.

When you use the GitLab Duo CLI in the GitLab CLI, glab handles authentication for you automatically. You only need to authenticate once.

Prerequisites:

•   Use GitLab 19.2 or later.

•   Run glab auth login to authenticate.

•   Meet the prerequisites for GitLab Duo Agent Platform ⟨https://docs.gitlab.com/user/duo_agent_platform/#prerequisites⟩.

•   For GitLab Self-Managed and GitLab Dedicated on 19.2 or later, turn on GitLab Duo CLI access ⟨https://docs.gitlab.com/user/gitlab_duo_cli/#turn-gitlab-duo-cli-access-on-or-off⟩. It is on by default.

Note: If you are on GitLab 18.11 to 19.1, you can use the GitLab Duo CLI by turning on beta and experimental features ⟨https://docs.gitlab.com/user/duo_agent_platform/turn_on_off.md#turn-on-beta-and-experimental-features⟩.

Configuration options:

•   duo_cli_auto_run: Skip the run confirmation prompt.

•   duo_cli_auto_download: Skip the download confirmation prompt.

All other arguments and flags are passed through to the GitLab Duo CLI binary.

For more information, see the GitLab Duo CLI documentation ⟨https://docs.gitlab.com/user/gitlab_duo_cli/⟩.

OPTIONS
--install[=false]
    Install the GitLab Duo CLI binary without running it.

--update[=false]
    Check for and install updates to the binary.

-y, --yes[=false]
    Skip confirmation prompts.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

EXAMPLE
    # Run the GitLab Duo CLI
    glab duo cli
    # Pass any command or flag through to the GitLab Duo CLI binary (for example: version, run, help)
    glab duo cli <command>
    # Show this help
    glab duo cli --help
    # Show GitLab Duo CLI help
    glab duo cli help
    # Run without prompts (for use in scripts and non-interactive environments)
    glab duo cli --yes
    # Install the GitLab Duo CLI binary
    glab duo cli --install
    # Install the GitLab Duo CLI binary without prompts
    glab duo cli --install --yes
    # Check for and install updates
    glab duo cli --update

SEE ALSO
glab-duo(1)